#!/bin/ksh
#
# Shell script to call makefile, OS dependent
# /mk/, GSI, 25/01/95
#
# $Id: fitmake.sh,v 1.4 2001/12/06 16:51:15 kraemer Exp $
# $Log: fitmake.sh,v $
# Revision 1.4  2001/12/06 16:51:15  kraemer
# qstrict for AIX
#
# Revision 1.3  2000/04/03 12:59:12  kraemer
# MC removed
#
# Revision 1.2  1997/12/15 19:01:17  kraemer
# *** empty log message ***
#
# Revision 1.1.1.1  1997/07/10 17:59:56  kraemer
# revision for cvs
#
#
version=""
#uname | read os 
os=`uname`
echo $os
HDIRS="-I../G -I../CMD -I../M -I../U"
CFLAGS="-I/usr/include -I/usr/include/sys -I/usr/openwin/include -O -Xt"
case $os in
   IRIX  ) CFLAGS="-O2";;
   OSF1  ) CFLAGS="-O2";;
   AIX   ) CFLAGS="-O3 -qstrict -qcpluscmt -qidirfirst";;
   HP-UX ) CFLAGS="-I/usr/include/X11R5 -Ae -D_XPG2 -O";; 
   epix  ) CFLAGS="-systype svr4 -O2";;
   Linux ) CFLAGS="-I/usr/X11/include -O2";;
   Interactive ) CFLAGS="-I/sdk/X11/include -I/usr/openwin/include -O -Xt";; 
esac
HDIRS="-I. $HDIRS"
CFLAGS="$HDIRS $CFLAGS"
echo $CFLAGS
make -f fit.make CFLAGS="$CFLAGS"
#
