#ifndef UERR_H
#define UERR_H
/*

   Definitions for error messaging

   Copyright  (C) 1992-2000 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                             all rights reserved

   $Log$

*/
#ifndef _ERRNO_H
#include <errno.h>
#endif
                                      /* */
struct SUERR {
   int iRC;                           /* base error code */
   int iSev;                          /* severity level (error/warning) */
   int ncMsg;                         /* text length */   
   char *pcMsg;                       /* extra text */
   char *pcErr;                       /* error message */
};
                                      /* severity masks/bits */
#define UERR_MASK    0xFF000000
#define UERR_ERROR   0x80000000
#define UERR_WARNING 0x40000000

#define UERR_DEBUG   0x80000000      
                                      /* some macro */
#define UERRINIT(s) memset( &(s), 0, sizeof((s)) ); (s).iRC=ERRUERR_SYS; (s).iSev=UERR_ERROR;
                                      /* error codes */
enum { ERRUERR_SYS=1,                 /* ! reserved for runtime errors */
       ERRUERR_BADADDR,
};
                                      /* function prototypes */
int _uerrInit   ( struct SUERR *, unsigned long );
int _uerrInspect( struct SUERR *, unsigned long );
//int _uerrMsg    ( struct SUERR *, unsigned long );

#endif